# Documentation

Menu

## QueryBuilderBase
in package

QueryBuilderBase.php : 62

### Table of Contents

$connName : string
  Convenience property for connection management
$queries : array<string|int, mixed>
  List of queries executed
__call() : mixed
  Calls a function further down the inheritance chain.
__construct() : mixed
__destruct() : mixed
affectedRows() : void
beginTransaction() : void
commit() : void
errorCode() : void
errorInfo() : void
exec() : void
getAttribute() : void
getColumns() : void
getDbs() : void
getFks() : void
getIndexes() : void
getLastQuery() : void
getSchemas() : void
getSequences() : void
getSystemTables() : void
getTables() : void
getTypes() : void
getUtil() : void
getVersion() : void
getViews() : void
inTransaction() : void
lastInsertId() : void
numRows() : void
prepare() : void
prepareExecute() : void
prepareQuery() : void
query() : void
quote() : void
resetQuery() : void
  Clear out the class variables, so the next query can be run
rollback() : void
setAttribute() : void
setTablePrefix() : void
truncate() : void

### Properties

#### $connName

QueryBuilderBase.php : 67

Convenience property for connection management

`public string $connName = ''`

#### $queries

QueryBuilderBase.php : 72

List of queries executed

`public array<string|int, mixed> $queries = ['total_time' => 0]`

### Methods

#### __call()

QueryBuilderBase.php : 113

Calls a function further down the inheritance chain.

`public __call(string $name, array<string|int, mixed> $params) : mixed`

'Implements' methods on the driver object

##### Parameters

$name : string
$params : array<string|int, mixed>

##### Tags

throws
  BadMethodCallException

##### Return values

mixed —

#### __construct()

QueryBuilderBase.php : 94
`public __construct(DriverInterface|null $driver, QueryParser $parser) : mixed`

##### Parameters

$driver : DriverInterface|null
$parser : QueryParser

##### Return values

mixed —

#### __destruct()

QueryBuilderBase.php : 100
`public __destruct() : mixed`

##### Return values

mixed —

#### affectedRows()

QueryBuilderBase.php : 0
`public affectedRows() : void`

: int

##### Return values

void —

#### beginTransaction()

QueryBuilderBase.php : 0
`public beginTransaction() : void`

: bool

##### Return values

void —

#### commit()

QueryBuilderBase.php : 0
`public commit() : void`

: bool

##### Return values

void —

#### errorCode()

QueryBuilderBase.php : 0
`public errorCode() : void`

: string

##### Return values

void —

#### errorInfo()

QueryBuilderBase.php : 0
`public errorInfo() : void`

: array

##### Return values

void —

#### exec()

QueryBuilderBase.php : 0
`public exec(string $statement) : void`

: int

##### Parameters

$statement : string

##### Return values

void —

#### getAttribute()

QueryBuilderBase.php : 0
`public getAttribute(int $attribute) : void`

##### Parameters

$attribute : int

##### Return values

void —

#### getColumns()

QueryBuilderBase.php : 0
`public getColumns(string $table) : void`

: array | null

##### Parameters

$table : string

##### Return values

void —

#### getDbs()

QueryBuilderBase.php : 0
`public getDbs() : void`

: array | null

##### Return values

void —

#### getFks()

QueryBuilderBase.php : 0
`public getFks(string $table) : void`

: array | null

##### Parameters

$table : string

##### Return values

void —

#### getIndexes()

QueryBuilderBase.php : 0
`public getIndexes(string $table) : void`

: array | null

##### Parameters

$table : string

##### Return values

void —

#### getLastQuery()

QueryBuilderBase.php : 0
`public getLastQuery() : void`

: string

##### Return values

void —

#### getSchemas()

QueryBuilderBase.php : 0
`public getSchemas() : void`

: array | null

##### Return values

void —

#### getSequences()

QueryBuilderBase.php : 0
`public getSequences() : void`

: array | null

##### Return values

void —

#### getSystemTables()

QueryBuilderBase.php : 0
`public getSystemTables() : void`

: array | null

##### Return values

void —

#### getTables()

QueryBuilderBase.php : 0
`public getTables() : void`

: array

##### Return values

void —

#### getTypes()

QueryBuilderBase.php : 0
`public getTypes() : void`

: array | null

##### Return values

void —

#### getUtil()

QueryBuilderBase.php : 0
`public getUtil() : void`

: \Query\Drivers\AbstractUtil

##### Return values

void —

#### getVersion()

QueryBuilderBase.php : 0
`public getVersion() : void`

: string

##### Return values

void —

#### getViews()

QueryBuilderBase.php : 0
`public getViews() : void`

: array | null

##### Return values

void —

#### inTransaction()

QueryBuilderBase.php : 0
`public inTransaction() : void`

: bool

##### Return values

void —

#### lastInsertId()

QueryBuilderBase.php : 0
`public lastInsertId(string $name = NULL) : void`

: string

##### Parameters

$name = NULL : string

##### Return values

void —

#### numRows()

QueryBuilderBase.php : 0
`public numRows() : void`

: int | null

##### Return values

void —

#### prepare()

QueryBuilderBase.php : 0
`public prepare(string $statement, array<string|int, mixed> $driver_options = []) : void`

: PDOStatement

##### Parameters

$statement : string
$driver_options = [] : array<string|int, mixed>

##### Return values

void —

#### prepareExecute()

QueryBuilderBase.php : 0
`public prepareExecute(string $sql, array<string|int, mixed> $params) : void`

: PDOStatement

##### Parameters

$sql : string
$params : array<string|int, mixed>

##### Return values

void —

#### prepareQuery()

QueryBuilderBase.php : 0
`public prepareQuery(string $sql, array<string|int, mixed> $data) : void`

: PDOStatement

##### Parameters

$sql : string
$data : array<string|int, mixed>

##### Return values

void —

#### query()

QueryBuilderBase.php : 0
`public query(string $statement) : void`

: PDOStatement

##### Parameters

$statement : string

##### Return values

void —

#### quote()

QueryBuilderBase.php : 0
`public quote(string $string, int $parameter_type = PDO::PARAM_STR) : void`

: string

##### Parameters

$string : string
$parameter_type = PDO::PARAM_STR : int

##### Return values

void —

#### resetQuery()

QueryBuilderBase.php : 126

Clear out the class variables, so the next query can be run

`public resetQuery() : void`

##### Return values

void —

#### rollback()

QueryBuilderBase.php : 0
`public rollback() : void`

: bool

##### Return values

void —

#### setAttribute()

QueryBuilderBase.php : 0
`public setAttribute(int $attribute, mixed $value) : void`

: bool

##### Parameters

$attribute : int
$value : mixed

##### Return values

void —

#### setTablePrefix()

QueryBuilderBase.php : 0
`public setTablePrefix(string $prefix) : void`

: void

##### Parameters

$prefix : string

##### Return values

void —

#### truncate()

QueryBuilderBase.php : 0
`public truncate(string $table) : void`

: PDOStatement

##### Parameters

$table : string

##### Return values

void —

## Search results